[build-system]
requires = ["pdm-backend", "build", "wheel"]
build-backend = "pdm.backend"

[project]
name = "jnbv"
version = "2024.12.10"
description = "Validation of Jupyter notebooks and kernels"
readme = "README.md"
license = {file = "LICENSE"}
keywords = ["jupyter"]
authors = [{name = "Jason Brudvik", email = "jason.brudvik@maxiv.lu.se"}]
requires-python = ">= 3.8, < 3.13"
dependencies = [
    "papermill",
    "nbformat",
    "jupyter",
    "envkernel",
    "ipykernel",
]
classifiers = [
  "Development Status :: 4 - Beta",
  "Intended Audience :: Developers",
  "Topic :: Scientific/Engineering :: Physics",
  "License :: OSI Approved :: BSD License",
  "Programming Language :: Python :: 3",
  "Programming Language :: Python :: 3.8",
  "Programming Language :: Python :: 3.9",
  "Programming Language :: Python :: 3.10",
  "Programming Language :: Python :: 3.11",
  "Programming Language :: Python :: 3.12",
]

[project.scripts]
jnbv = "jnbv.__main__:main"

[project.urls]
Homepage = "https://gitlab.com/MAXIV-SCISW/JUPYTERHUB/jnbv"
Documentation = "https://gitlab.com/MAXIV-SCISW/JUPYTERHUB/jnbv/-/blob/master/README.md"
Repository = "https://gitlab.com/MAXIV-SCISW/JUPYTERHUB/jnbv"
Issues = "https://gitlab.com/MAXIV-SCISW/JUPYTERHUB/jnbv/-/issues"
Changelog = "https://gitlab.com/MAXIV-SCISW/JUPYTERHUB/jnbv/-/blob/master/CHANGELOG.md"
